List Wires
Request URL
POST /transfer-to/wire/list
Description
This endpoint will list wire transfers that match the desired search criteria. Search criteria may be a date range, a status value, or a combination of criteria. You may also specify a maximum number of records to return using the numberOfRecords property (up to 1000) and you may specify a number of records to skip using the skipRecords property. Combine the numberOfRecords property with the skipRecords property to make displaying wire transfer lists in batches easy. For example, if you want to list wire transfers in batches of 150, you can set numberOfRecords to 150 and skipRecords to 0 in the first request. Then, increase skipRecords by 150 in each subsequent request to return the next batch and so on.
When making a request, if the number of wire transfers matching the criteria is greater than the numberOfRecords maximum requested, the response body will indicate that there are additional wire transfers ("more": true).
If no properties are included, an unfiltered wire transfer list will be returned (up to a maximum of 1000).
Schema
Property table for transfer-to/wire/list
| Property | Description | Required | Schema |
|---|---|---|---|
| cFiTransactionId | The transaction ID in the connectFi system | No | { "type": "string", "pattern": "^[0-9a-zA-Z_]+$", "minLength": 1, "maxLength": 36, "nullable": true, "$id": "common-idNullable" } |
| cFiTransactionIds | Array of transaction IDs from the connectFi system obtained when each transaction was initialized | No | array of { "type": "string", "pattern": "^[0-9a-zA-Z_]+$", "minLength": 1, "maxLength": 36, "nullable": true, "$id": "common-idNullable" } |
| reference | An external alphanumeric reference ID for the entity in your system | No | { "type": "string", "pattern": "^[0-9a-zA-Z_]+$", "minLength": 1, "maxLength": 36, "nullable": true, "$id": "common-idNullable" } |
| dateCreateFrom | A beginning date in ISO Date format | No | { "type": "string", "nullable": true, "format": "dateISO" } |
| dateCreateTo | An ending date in ISO Date format | No | { "type": "string", "nullable": true, "format": "dateISO" } |
| status | Status | No | { "type": "string", "nullable": true, "enum": [ "Sent", "Initiated", "Complete", "Declined", "Cancelled", "Unknown" ] } |
| numberOfRecords | The maximum number of desired records to return | No | { "type": "integer", "minimum": 1, "nullable": true, "$id": "common-numberOfRecords" } |
| skipRecords | The number of records to skip when returning results | No | { "type": "integer", "minimum": 0, "nullable": true, "$id": "common-skipRecords" } |
Request Body
{
"dateCreateFrom": "2023-02-01T14:27:33.684Z",
"dateCreateTo": "2029-05-13T14:27:33.684Z",
"status": "Complete",
"numberOfRecords": 1000,
"skipRecords": 0
}
Snippet Examples
javascript
const axios = require('axios');
const data = {
"dateCreateFrom": "2023-02-01T14:27:33.684Z",
"dateCreateTo": "2029-05-13T14:27:33.684Z",
"status": "Complete",
"numberOfRecords": 1000,
"skipRecords": 0
}
;
const config = {
method: 'POST',
url: '${CONNECTFI_BASE_URL}/transfer-to/wire/list',
headers: {
'Content-Type': "application/json",
'x-connectfi-token': "A long random string token received from /auth/get-token request"
},
data
};
let result;
try {
result = await axios.request(config);
if (result.status === 200) {
console.log(JSON.stringify(result.data));
}
} catch (err) {
console.log({
errCode: err.code,
responseStatus: err.response && err.response.status,
data: err.response && JSON.stringify(err.response.data)
});
}
cURL
curl --location "CONNECTFI_BASE_URL/transfer-to/wire/list" --data "{\"dateCreateFrom\":\"2023-02-01T14:27:33.684Z\",\"dateCreateTo\":\"2029-05-13T14:27:33.684Z\", \"status\":\"Complete\", \"numberOfRecords\":1000, \"skipRecords\":0}" --header "Content-Type: application/json" --header "x-connectfi-token: A long random string token received from /auth/get-token request"
Successful Response Examples
200 SUCCESSFUL RESPONSE USING DATE RANGE AND NUMBEROFRECORDS
HEADERS
| Header | Value |
|---|---|
| Content-Type | application/json |
| x-connectfi-token | A long random string token received from /auth/get-token request |
REQUEST BODY
{
"dateCreateFrom": "2023-02-01T14:27:33.684Z",
"dateCreateTo": "2029-05-13T14:27:33.684Z",
"numberOfRecords": 2
}
RESPONSE BODY
{
"code": "0",
"data": {
"total": {
"skipRecords": 0,
"numberOfRecords": 2,
"more": true
},
"items": [
{
"status": "Declined",
"amount": 20.01,
"currency": "USD",
"reference": "externalTrnId2010",
"cFiTransactionId": "CLIENTID_v4E2izLhOi4VoGvtlJKdI",
"error": {
"dtsError": null,
"code": "wireAmountDailyLimit",
"message": "Wire Amount exceeds Company Wire Amount Limit. Wire not created."
},
"dtsCreatedAt": "2023-12-07T15:41:18.821Z"
},
{
"status": "Declined",
"amount": 19.01,
"currency": "USD",
"reference": "externalTrnId2009",
"cFiTransactionId": "CLIENTID_64HxaMtdcqbArSe0SxgM6e",
"error": {
"dtsError": null,
"code": "wireAmountDailyLimit",
"message": "Wire Amount will exceed Company Daily Total Limit. Wire not created."
},
"dtsCreatedAt": "2023-12-07T15:39:16.633Z"
}
]
},
"requestId": "6c109090951911eea89d7100487c0512"
}
200 SUCCESSFUL RESPONSE USING MULTIPLE CRITERIA
HEADERS
| Header | Value |
|---|---|
| Content-Type | application/json |
| x-connectfi-token | A long random string token received from /auth/get-token request |
REQUEST BODY
{
"dateCreateFrom": "2023-02-01T14:27:33.684Z",
"dateCreateTo": "2029-05-13T14:27:33.684Z",
"status": "Complete",
"numberOfRecords": 1000,
"skipRecords": 0
}
RESPONSE BODY
{
"code": "0",
"data": {
"total": {
"skipRecords": 0,
"numberOfRecords": 2,
"more": false
},
"items": [
{
"status": "Complete",
"amount": 12.91,
"currency": "USD",
"reference": "externalTrnId1405",
"cFiTransactionId": "CLIENTID_oC12Oc837Gd81A62AFbnr",
"transactionReceiptId": "JW2QGEHYI0",
"dtsCreatedAt": "2023-09-15T13:44:54.253Z"
},
{
"status": "Complete",
"amount": 12.91,
"currency": "USD",
"reference": "externalTrnId1306",
"cFiTransactionId": "CLIENTID_uNtpBBb5Ui1GTDRYfOvkt",
"transactionReceiptId": "JW2QGEHYI0",
"dtsCreatedAt": "2023-09-14T16:59:27.398Z"
}
]
},
"requestId": "a1814ed0726a11ee8ff83020a7305d12"
}
200 SUCCESSFUL RESPONSE USING CFITRANSACTIONIDS
HEADERS
| Header | Value |
|---|---|
| Content-Type | application/json |
| x-connectfi-token | A long random string token received from /auth/get-token request |
REQUEST BODY
RESPONSE BODY
{
"code": "0",
"data": {
"total": {
"skipRecords": 0,
"numberOfRecords": 1,
"more": false
},
"items": [
{
"status": "Complete",
"amount": 12.91,
"currency": "USD",
"reference": "externalTrnId1405",
"cFiTransactionId": "CLIENTID_oC12Oc837Gd81A62AFbnr",
"transactionReceiptId": "JW2QGEHYI0",
"dtsCreatedAt": "2023-09-15T13:44:54.253Z"
}
]
},
"requestId": "45e7e350951911eea89d7100487c0512"
}
200 SUCCESSFUL RESPONSE NO TRANSACTIONS MATCH CRITERIA
HEADERS
| Header | Value |
|---|---|
| Content-Type | application/json |
| x-connectfi-token | A long random string token received from /auth/get-token request |
REQUEST BODY
{
"dateCreateFrom": "2023-02-01T14:27:33.684Z",
"dateCreateTo": "2029-05-13T14:27:33.684Z",
"status": "Complete",
"reference": "extRef123456",
"numberOfRecords": 1000,
"skipRecords": 0
}
RESPONSE BODY